For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all WireguardPeers

This endpoint enables retrieving all WireguardPeers using pagination and optional filters.

get
/wireguardgateways/{gatewayId}/peers
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested WireguardPeers successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of WireguardPeer resources.

Example: 7c33f158-b93c-5fe7-83c6-84dde2357a33
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of WireguardPeer resources.

Example: /wireguardgateways/{gatewayId}/peers
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/wireguardgateways/{gatewayId}/peers
GET /wireguardgateways/{gatewayId}/peers HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "7c33f158-b93c-5fe7-83c6-84dde2357a33",
  "type": "collection",
  "href": "/wireguardgateways/{gatewayId}/peers",
  "items": [
    {
      "id": "b62b3a40-adee-5b6c-b98d-be20bfcbdd91",
      "type": "wireguardpeer",
      "href": "/wireguardgateways/{gatewayId}/peers/b62b3a40-adee-5b6c-b98d-be20bfcbdd91",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null
      },
      "properties": {
        "name": "My Company Gateway Peer",
        "description": "Allows local machine A to connect to Datacenter LAN Y.",
        "endpoint": {
          "host": "1.2.3.4",
          "port": 51820
        },
        "allowedIPs": [
          "1.2.3.4/32"
        ],
        "publicKey": "no8iaSEoqfbI6PVYsdEiUU5efYdtKX8VAhKity19MWI="
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?